/** 
 * DevExtreme (ui/list/ui.list.edit.decorator_menu_helper.js)
 * Version: 16.1.16
 * Build date: Fri Feb 01 2019
 *
 * Copyright (c) 2012 - 2019 Developer Express Inc. ALL RIGHTS RESERVED
 * EULA: https://www.devexpress.com/Support/EULAs/DevExtreme.xml
 * MAY BE USED WITH: DevExtreme Complete, DevExtreme Mobile, DevExtreme Web
 */
"use strict";
define(function(require, exports, module) {
    var EditDecoratorMenuHelperMixin = {
        _menuEnabled: function() {
            return !!this._menuItems().length
        },
        _menuItems: function() {
            return this._list.option("menuItems")
        },
        _deleteEnabled: function() {
            return this._list.option("allowItemDeleting")
        },
        _fireMenuAction: function($itemElement, action) {
            this._list._itemEventHandlerByHandler($itemElement, action, {}, {
                excludeValidators: ["disabled", "readOnly"]
            })
        }
    };
    module.exports = EditDecoratorMenuHelperMixin
});
